import 'package:drift/drift.dart';
import 'package:niogu_app/core/database/tables/customers.dart';
import 'package:niogu_app/core/database/tables/products.dart';
import 'package:uuid/uuid.dart';

class ProductLikes extends Table {
  TextColumn get localId => text().clientDefault(() => const Uuid().v7().toString())();
  TextColumn get serverId => text().nullable()();
  TextColumn get customerId => text().references(Customers, #localId).nullable()();
  TextColumn get productId => text().references(Products, #localId)();
  BoolColumn get isLike => boolean().withDefault(const Constant(false))();
  TextColumn get syncStatus => text().withDefault(const Constant('dirty'))();
  DateTimeColumn get createdAt => dateTime().withDefault(currentDateAndTime)();
  DateTimeColumn get updatedAt => dateTime().withDefault(currentDateAndTime)();

  @override
  // TODO: implement primaryKey
  Set<Column<Object>>? get primaryKey => {localId};
} 